Runtime

## org.eclipse.gmf.runtime.emf.type.core.requests
Class SetRequest

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.requests.AbstractEditCommandRequest
          org.eclipse.gmf.runtime.emf.type.core.requests.SetRequest

All Implemented Interfaces:
  IEditCommandRequest

    public class SetRequest

extends AbstractEditCommandRequest

Request to set the value of a structural feature in a model element.

Field Summary

Fields inherited from interface org.eclipse.gmf.runtime.emf.type.core.requests.IEditCommandRequest
`REPLACE_DEFAULT_COMMAND`

Constructor Summary
`SetRequest(org.eclipse.emf.ecore.EObject elementToEdit, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)` Constructs a new request to set the value of a structural feature in a model element.
`SetRequest(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, org.eclipse.emf.ecore.EObject elementToEdit, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)` Constructs a new request to set the value of a structural feature in a model element.

Method Summary
`java.lang.Object` `getEditHelperContext()` Gets the edit helper context for this request.
`java.util.List` `getElementsToEdit()` Gets the elements that will be changed when the work is done for this request.
`org.eclipse.emf.ecore.EObject` `getElementToEdit()` Gets the owner of the structural feature.
`org.eclipse.emf.ecore.EStructuralFeature` `getFeature()` Gets the structural feature.
`java.lang.Object` `getValue()` Gets the new value.

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.requests.AbstractEditCommandRequest
`addParameters, getClientContext, getDefaultLabel, getEditingDomain, getLabel, getParameter, getParameters, setClientContext, setEditingDomain, setLabel, setParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetRequest

    public SetRequest(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                      org.eclipse.emf.ecore.EObject elementToEdit,
                      org.eclipse.emf.ecore.EStructuralFeature feature,
                      java.lang.Object value)

  Constructs a new request to set the value of a structural feature in a model element.

  Parameters:
    `editingDomain` - the editing domain in which I am requesting to make model
    `elementToEdit` - the owner of the structural feature
    `feature` - the structural feature whose value is to be set
    `value` - the new value

### SetRequest

    public SetRequest(org.eclipse.emf.ecore.EObject elementToEdit,
                      org.eclipse.emf.ecore.EStructuralFeature feature,
                      java.lang.Object value)

  Constructs a new request to set the value of a structural feature in a model element. The editing domain will be derived from the `elementToEdit`.

  Parameters:
    `elementToEdit` - the owner of the structural feature
    `feature` - the structural feature whose value is to be set
    `value` - the new value

Method Detail

### getFeature

    public org.eclipse.emf.ecore.EStructuralFeature getFeature()

  Gets the structural feature.

  Returns:
    the structural feature

### getValue

    public java.lang.Object getValue()

  Gets the new value.

  Returns:
    the new value

### getElementToEdit

    public org.eclipse.emf.ecore.EObject getElementToEdit()

  Gets the owner of the structural feature.

  Returns:
    the owner of the structural feature

### getElementsToEdit

    public java.util.List getElementsToEdit()

  Description copied from interface: `IEditCommandRequest`
  Gets the elements that will be changed when the work is done for this request.

  Specified by:
    `getElementsToEdit` in interface `IEditCommandRequest`
  Overrides:
    `getElementsToEdit` in class `AbstractEditCommandRequest`
  Returns:
    the elements that will be edited

### getEditHelperContext

    public java.lang.Object getEditHelperContext()

  Description copied from interface: `IEditCommandRequest`
  Gets the edit helper context for this request. The context can be an `IElementType` or an `EObject`, or an `IEditHelperContext`. It determines which edit helper should be used to find a command to do the work in the request.

  Returns:
    the edit helper context for this request

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.